# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Read_queue			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Queue
include                         $(DIR_MORPHEO)/Behavioural/Generic/Queue/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Read_queue_LIBRARY		= 	-lRead_queue		\
					$(Queue_LIBRARY)	\
					$(Behavioural_LIBRARY)	

Read_queue_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/lib	\
					$(Queue_DIR_LIBRARY) \
					$(Behavioural_DIR_LIBRARY)

Read_queue_DEPENDENCIES		=	Queue_library	\
					Behavioural_library

Read_queue_CLEAN        	=	Queue_library_clean	\
					Behavioural_library_clean

#-----[ Rules ]--------------------------------------------

#.NOTPARALLEL			: Read_queue_library Read_queue_library_clean

Read_queue_library		: $(Read_queue_DEPENDENCIES)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue --makefile=Makefile;

Read_queue_library_clean	: $(Read_queue_CLEAN)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue --makefile=Makefile clean;
